//N&uacute;mero m&aacute;ximo de casillas marcadas por las recomendaciones
var maxi=3; 
var contador=0;
var recomendacion=new Array(0);

function mostrar_recomendacion(alumno,grado,curso,asignatura,periodo,r1,r2,ancho,alto){
   contador=0;
   
   $( "#dialog1" ).dialog({
          width: ancho,
          height: alto,
          position:[350,250],
          buttons: { //crear bot&oacute;n de cerrar
          
            "CERRAR": function() {
            
               for (i=0;i<contador;i++){
                    document.getElementById('R_'+alumno+'_'+(i+1)).value=recomendacion[i];
               }
                              
               $( this ).dialog( "close" );          
            }
                      
          }

  });

   var parametros = {"accion":'listado',
                     "alumno":alumno,
                     "grado":grado,
                     "curso":curso,
                     "asignatura":asignatura,
                     "periodo":periodo,
                     "r1":r1,
                     "r2":r2
                     };

                    $.ajax({
                    data:  parametros,
                    url:"app/model/catalogo_planilla.php",
                    type: "POST",
                success: function(opciones){$("#dialog1").html(opciones);}})
}

//------------------------------------------------------------------------------

function validar(check) { 
  
   //Compruebo si la casilla est&aacute; marcada 
if(document.getElementById(check).checked){

      	//est&aacute; marcada, entonces aumento en uno el contador del grupo 
      	
        recomendacion[contador]=check;       
        contador++;
                 
      	//compruebo si el contador ha llegado al m&aacute;ximo permitido 
      	if (contador>maxi) { 
         	//si ha llegado al m&aacute;ximo, muestro mensaje de error 
         	alert('NO SE PUEDE MARCAR MAS DE '+maxi+' RECOMENDACIONES.'); 
         	//desmarco la casilla, porque no se puede permitir marcar 
         	document.getElementById(check).checked=false; 
         	//resto una unidad al contador de grupo, porque he desmarcado una casilla 
         	contador--; 
      	} 
        
        
   }else {

      	//si la casilla no estaba marcada, resto uno al contador de grupo 
      	contador--; 
   } 

      
}

//------------------------------------------------------------------------------

function mostrar(id1,grado,curso,asignatura,periodo,r1,r2,ancho,alto){

   $( "#dialog1" ).dialog({
          width: ancho,
          height: alto,
          position:[500,320]

  });

   var parametros = {"accion":'listado',
                     "id1":id1,
                     "grado":grado,
                     "curso":curso,
                     "asignatura":asignatura,
                     "periodo":periodo,
                     "r1":r1,
                     "r2":r2
                     };

                    $.ajax({
                    data:  parametros,
                    url:"app/model/catalogo_planilla.php",
                    type: "POST",
                success: function(opciones){$("#dialog1").html(opciones);}})
}

//------------------------------------------------------------------------------
function mostrar1(codigo,id1,grado,curso,asignatura,periodo,r1,ancho,alto){

   $( "#dialog1" ).dialog({
          width: ancho,
          height: alto,
          position:[500,320]

    });

    var parametros = {"accion":'listado_logro',
                     "codigo":codigo,
                     "id1":id1,
                     "grado":grado,
                     "curso":curso,
                     "asignatura":asignatura,
                     "periodo":periodo,
                     "r1":r1

                     };

                    $.ajax({
                    data:  parametros,
                    url:"app/model/catalogo_planilla.php",
                    type: "POST",
                success: function(opciones){$("#dialog1").html(opciones);}})
}
//-------------------------------------------------------

function mostrar_lista(id1,codigo){

    document.getElementById(id1).value=codigo;

    $("#dialog1").click(function () {
            $(this).dialog('close');
    });

    document.getElementById(id1).focus();

}
//-------------------------------------------------------
function mostrar_logro(l,id1){

document.getElementById(id1).value=l;

  $("#dialog1").click(function () {
            $(this).dialog('close');
    });

document.getElementById(id1).focus();

}

//----------- MOSTRAR EMERGENTE - CUADRO DE NOTAS -------------

var cuadro_nota;

function abrir_dialog(l) {

    //-----Muestra cuadro de Notas ----------

        var parametros1 = {"accion":'cuadro_notas'};

          $.ajax({
                data:  parametros1,
                url:   'comprobar.php',
                type:  'post',
                success:function (response){

                 $("#dialog").html(response);

           }
        });


    cuadro_nota=l;

      $( "#dialog" ).dialog({
          width: '400px',
          position:[850,320]
      });
    }

//---------------------------------

function abrir_dialog1(l) {

    //-----Muestra cuadro de Notas ----------

        var parametros1 = {"accion":'cuadro_valoracion'};

          $.ajax({
                data:  parametros1,
                url:   'comprobar.php',
                type:  'post',
                success:function (response){

                 $("#dialog").html(response);

           }
        });


    cuadro_nota=l;

      $( "#dialog" ).dialog({
          width: '180px'
      });
    }



//-------------------------------
function abrir_dialog2(l) {

    //-----Muestra cuadro de Notas ----------

        var parametros1 = {"accion":'cuadro_valoracion2'};

          $.ajax({
                data:  parametros1,
                url:   'comprobar.php',
                type:  'post',
                success:function (response){

                 $("#dialog").html(response);

           }
        });


    cuadro_nota=l;

      $( "#dialog" ).dialog({
          width: '180px'
      });
    }


//----------------------------------
function nota(n) {


      document.getElementById(cuadro_nota).value=n;
      document.getElementById(cuadro_nota).focus();

      $("#dialog").click(function () {
            $(this).dialog('close');
      });
}

